# eric5.Plugins.VcsPlugins.vcsPySvn.SvnDialog

Module implementing a dialog to show the output of a pysvn action.

### Global Attributes

None

### Classes

SvnDialog | Class implementing a dialog to show the output of a pysvn action.

### Functions

None

## SvnDialog

Class implementing a dialog to show the output of a pysvn action.

### Derived from

QDialog, SvnDialogMixin, Ui_SvnDialog

### Class Attributes

None

### Class Methods

None

### Methods

SvnDialog | Constructor
_clientNotifyCallback | Protected method called by the client to send events.
finish | Public slot called when the process finished or the user pressed the button.
hasAddOrDelete | Public method to check, if the last action contained an add or delete.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
showError | Public slot to show an error message.
showMessage | Public slot to show a message.

### Static Methods

None

#### SvnDialog (Constructor)

SvnDialog(text, command, pysvnClient, parent=None, log="")

Constructor

text
  text to be shown by the label (string)
command
  svn command to be executed (display purposes only) (string)
pysvnClient
  reference to the pysvn client object (pysvn.Client)
parent=
  parent widget (QWidget)
log=
  optional log message (string)

#### SvnDialog._clientNotifyCallback

_clientNotifyCallback(eventDict)

Protected method called by the client to send events.

eventDict
  dictionary containing the notification event

#### SvnDialog.finish

finish()

Public slot called when the process finished or the user pressed the button.

#### SvnDialog.hasAddOrDelete

hasAddOrDelete()

Public method to check, if the last action contained an add or delete.

Returns:
  flag indicating the presence of an add or delete (boolean)

#### SvnDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### SvnDialog.showError

showError(msg)

Public slot to show an error message.

msg
  error message to show (string)

#### SvnDialog.showMessage

showMessage(msg)

Public slot to show a message.

msg
  message to show (string)

Up